#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(NULL);cout.tie(NULL);
    string S;
    cin>>S;
    int a1,a2;
    cin>>a1>>a2;
    if(a1==a2+1)
    {
        for(int i=0;i<a2;i++) cout<<S;
        cout<<S[0];
    }
    else if(a1+1==a2)
    {
        cout<<S[1];
        for(int i=0;i<a1;i++) cout<<S;
    }
    else if(a1==a2)
    {
        for(int i=0;i<a1;i++) cout<<S;
    }
    else cout<<"nemoguce";
}